XFcPrimitiveDrawPointSet class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawPointSet Class Reference

Defines a set of XFcPrimitiveDrawPoints. More...

Collaboration diagram for XFcPrimitiveDrawPointSet:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT | ~XFcPrimitiveDrawPointSet ()
| Destructor.
XFCIMPORT INT32 | getPointCount ()
| Returns the amount of points in the point set.
XFCIMPORT void | addPoint (XFcVector2 &aPos)
| Adds a point to the point set.
XFCIMPORT XFcPrimitiveDrawPoint * | getPoint (INT32 aPointIndex)
| Returns a pointer to a point at aPointIndex.
XFCIMPORT void | clear ()
| Clears the point set.
XFCIMPORT void | calculateScaledValues (REAL aScale)
| Calculates the mScaledPos value for all points in the point set.
XFCIMPORT void | calculateScaledValues (XFcMatrix3 &aTransformation)
| Calculates the mScaledPos value for all points in the point set using a matrix.

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawPointSet * | create (INT32 aMaxPointCount)
| Creates a point set with aMaxPointCount maximum amount of points .

## Protected Member Functions

XFCIMPORT | XFcPrimitiveDrawPointSet ()
| Protected constructor.

## Protected Attributes

XFcPrimitiveDrawPoint * | mPoints
| Array of points.
INT32 | mPointCount
| Count of points.
INT32 | mMaxPoints
| Maximum amount of points.

## Detailed Description

Defines a set of XFcPrimitiveDrawPoints.

XFcPrimitiveDrawPointSet is a set of points, that can be used for defining lines with XFcPrimitiveDrawLineSet.

## Constructor & Destructor Documentation

XFCIMPORT XFcPrimitiveDrawPointSet::~XFcPrimitiveDrawPointSet | ( |  | ) |

| Destructor.

XFCIMPORT XFcPrimitiveDrawPointSet::XFcPrimitiveDrawPointSet | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT void XFcPrimitiveDrawPointSet::addPoint | ( | XFcVector2 & | aPos | ) |

| Adds a point to the point set.

XFCIMPORT void XFcPrimitiveDrawPointSet::calculateScaledValues | ( | XFcMatrix3 & | aTransformation | ) |

| Calculates the mScaledPos value for all points in the point set using a matrix. This is used for scaling the point coordinates in antialiased rendering.

XFCIMPORT void XFcPrimitiveDrawPointSet::calculateScaledValues | ( | REAL | aScale | ) |

| Calculates the mScaledPos value for all points in the point set. This is used for scaling the point coordinates in antialiased rendering.

XFCIMPORT void XFcPrimitiveDrawPointSet::clear | ( |  | ) |

| Clears the point set.

XFCIMPORT XFcPrimitiveDrawPointSet* XFcPrimitiveDrawPointSet::create | ( | INT32 | aMaxPointCount | ) | `[static]`

| Creates a point set with aMaxPointCount maximum amount of points .

XFCIMPORT XFcPrimitiveDrawPoint* XFcPrimitiveDrawPointSet::getPoint | ( | INT32 | aPointIndex | ) |

| Returns a pointer to a point at aPointIndex.

XFCIMPORT INT32 XFcPrimitiveDrawPointSet::getPointCount | ( |  | ) |

| Returns the amount of points in the point set.

## Member Data Documentation

INT32 XFcPrimitiveDrawPointSet::mMaxPoints`[protected]`

| Maximum amount of points.

INT32 XFcPrimitiveDrawPointSet::mPointCount`[protected]`

| Count of points.

XFcPrimitiveDrawPoint* XFcPrimitiveDrawPointSet::mPoints`[protected]`

| Array of points.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch